<?php
/*##################################################
 *                               admin_blog_config.php
 *                            -------------------
 *   begin                : March 12, 2007
 *   copyright          : (C) 2007 Viarre Rgis
 *   email                : crowkait@phpboost.com
 *
 *  
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *
####################################################
#                 Changelog                        #
#################################################### 
* 
*   Date                 : 16/03/2010
*   Auteur               : Swan | CsN
*   Email                : contact@chez-swan.net
*   Web                  : http://chez-swan.net/
*   Description          : modification du nom du module en module blog.
*
####################################################*/

require_once('../admin/admin_begin.php');
load_module_lang('blog'); //Chargement de la langue du module.
define('TITLE', $LANG['administration']);
require_once('../admin/admin_header.php');

if (!empty($_POST['valid']) && empty($_POST['valid_edito']))
{
	$Cache->load('blog');
	
	$config_blog = array();
	$config_blog['nbr_blog_max'] = retrieve(POST, 'nbr_blog_max', 10);
	$config_blog['nbr_cat_max'] = retrieve(POST, 'nbr_cat_max', 10);
	$config_blog['nbr_column'] = retrieve(POST, 'nbr_column', 2);
	$config_blog['note_max'] = max(1, retrieve(POST, 'note_max', 5));
	$config_blog['auth_root'] = isset($CONFIG_BLOG['auth_root']) ? serialize($CONFIG_BLOG['auth_root']) : serialize(array());
		
	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($config_blog)) . "' WHERE name = 'blog'", __LINE__, __FILE__);
	
	if ($CONFIG_BLOG['note_max'] != $config_blog['note_max'])
		$Sql->query_inject("UPDATE " . PREFIX . "blog SET note = note * '" . ($config_blog['note_max']/$CONFIG_BLOG['note_max']) . "'", __LINE__, __FILE__);
	
	###### Rgnration du cache des news #######
	$Cache->Generate_module_file('blog');
	
	redirect(HOST . SCRIPT);	
}
elseif (!empty($_POST['blog_count'])) //Recompte le nombre d'blog de chaque catgories
{
	$Cache->load('blog');
	
	$info_cat = array();
	$result = $Sql->query_while ("SELECT idcat, COUNT(*) as nbr_blog_visible 
	FROM " . PREFIX . "blog 
	WHERE visible = 1 AND idcat > 0
	GROUP BY idcat", __LINE__, __FILE__);
	
	while ($row = $Sql->fetch_assoc($result))
		$info_cat[$row['idcat']]['visible'] = $row['nbr_blog_visible'];
		
	$Sql->query_close($result);
	
	$result = $Sql->query_while ("SELECT idcat, COUNT(*) as nbr_blog_unvisible 
	FROM " . PREFIX . "blog 
	WHERE visible = 0 AND idcat > 0
	GROUP BY idcat", __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result))
		$info_cat[$row['idcat']]['unvisible'] = $row['nbr_blog_unvisible'];
		
	$Sql->query_close($result);
	
	$result = $Sql->query_while("SELECT id, id_left, id_right
	FROM " . PREFIX . "blog_cats", __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result))
	{			
		$nbr_blog_visible = 0;
		$nbr_blog_unvisible = 0;
		foreach ($info_cat as $key => $value)
		{			
			if ($CAT_BLOG[$key]['id_left'] >= $row['id_left'] && $CAT_BLOG[$key]['id_right'] <= $row['id_right'])
			{	
				$nbr_blog_visible += isset($info_cat[$key]['visible']) ? $info_cat[$key]['visible'] : 0;
				$nbr_blog_unvisible += isset($info_cat[$key]['unvisible']) ? $info_cat[$key]['unvisible'] : 0; 
			}
		}
		$Sql->query_inject("UPDATE " . PREFIX . "blog_cats SET nbr_blog_visible = '" . $nbr_blog_visible . "', nbr_blog_unvisible = '" . $nbr_blog_unvisible . "' WHERE id = '" . $row['id'] . "'", __LINE__, __FILE__);	
	}
	$Sql->query_close($result);
	
	$Cache->Generate_module_file('blog');
	
	redirect(HOST . DIR . '/blog/admin_blog_config.php'); 
}
//Sinon on rempli le formulaire
else	
{		
	$Template->set_filenames(array(
		'admin_blog_config'=> 'blog/admin_blog_config.tpl'
	));
	
	$Cache->load('blog');
	
	$Template->assign_vars(array(
		'NBR_BLOG_MAX' => !empty($CONFIG_BLOG['nbr_blog_max']) ? $CONFIG_BLOG['nbr_blog_max'] : '10',
		'NBR_CAT_MAX' => !empty($CONFIG_BLOG['nbr_cat_max']) ? $CONFIG_BLOG['nbr_cat_max'] : '10',
		'NBR_COLUMN' => !empty($CONFIG_BLOG['nbr_column']) ? $CONFIG_BLOG['nbr_column'] : '2',
		'NOTE_MAX' => !empty($CONFIG_BLOG['note_max']) ? $CONFIG_BLOG['note_max'] : '10',
		'L_REQUIRE' => $LANG['require'],		
		'L_BLOG_MANAGEMENT' => $LANG['blog_management'],
		'L_BLOG_ADD' => $LANG['blog_add'],
		'L_BLOG_CAT' => $LANG['cat_management'],
		'L_BLOG_CONFIG' => $LANG['blog_config'],
		'L_BLOG_CAT_ADD' => $LANG['blog_cats_add'],
		'L_NBR_BLOG_MAX' => $LANG['nbr_blog_max'],
		'L_NBR_CAT_MAX' => $LANG['nbr_cat_max'],
		'L_NBR_COLUMN_MAX' => $LANG['nbr_column_max'],
		'L_NOTE_MAX' => $LANG['note_max'],
		'L_EXPLAIN_BLOG_COUNT' => $LANG['explain_blog_count'],
		'L_RECOUNT' => $LANG['recount'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset']
	));
		
	$Template->pparse('admin_blog_config'); // traitement du modele	
}

require_once('../admin/admin_footer.php');

?>